<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ActivityReportSelection_With_Remark_Info StructType
 * @subpackage Structs
 */
class ActivityReportSelection_With_Remark_Info extends ActivityReportSelection
{
    /**
     * The IncludeRemarks
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeRemarks;
    /**
     * Constructor method for ActivityReportSelection_With_Remark_Info
     * @uses ActivityReportSelection_With_Remark_Info::setIncludeRemarks()
     * @param bool $includeRemarks
     */
    public function __construct($includeRemarks = null)
    {
        $this
            ->setIncludeRemarks($includeRemarks);
    }
    /**
     * Get IncludeRemarks value
     * @return bool
     */
    public function getIncludeRemarks()
    {
        return $this->IncludeRemarks;
    }
    /**
     * Set IncludeRemarks value
     * @param bool $includeRemarks
     * @return \StructType\ActivityReportSelection_With_Remark_Info
     */
    public function setIncludeRemarks($includeRemarks = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeRemarks) && !is_bool($includeRemarks)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeRemarks, true), gettype($includeRemarks)), __LINE__);
        }
        $this->IncludeRemarks = $includeRemarks;
        return $this;
    }
}
